# Universe - The big bang to my universe
#
# Copyright (c) 2023-2024 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
let
  lxsameer = {
    yubikey_1 = "age1yubikey1qvmhny6mv9p8qqdf5m7zuf4h63kqrjcn93p656clzpwagnz207sk7fnrd4h";
    yubikey_2 = "age1yubikey1qgay49623m6klvh0a4jy63vrgxduujz2sg2q69u8we3e3jfmpdaaj6vthje";
    pub = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIE71YQsIPp2PwuDcvJsp/JiHzB1+GL36vnMd49ktPp9p lxsameer@majin";
  };

  mary = {
    yubikey_1 = "age1yubikey1qtsln0tj4my8t0nywnmpse8tsfl28ctmd26tkxahspm5skefmqvmvpw4ef4";
    yubikey_2 = "age1yubikey1qvnajv3gu2t7q239nxz2ggfykavrt0k5vaauy9gc8ac82gsrsx3cwk7lfpd";
    pub = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOXfcDiEl2a520F3BEirU8ey4VUxcNQu90FIescz1PQi mary@maryland";
  };
in
{
  "lxsameer/user.age".publicKeys = [ lxsameer.pub ];
  "mary/user.age".publicKeys = [ mary.pub  ];

}
