# Universe - The big bang to my universe
#
# Copyright (c) 2023-2024 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# age like binaries can't find age-plugin-yubike by default
# during system switch, this is the hack to put age-plugin-yubikey
# in their PATH.
{ lib, stdenv, ageBin, age-plugin-yubikey, writeScriptBin }:
writeScriptBin "rager" ''
#!${stdenv.shell}

export PATH=${age-plugin-yubikey}/bin/:$PATH;

${ageBin} "$@"
''
