{
  disko = {
    devices = {
      disk = {
        oneT = {
          device = "/dev/disk/by-id/nvme-Seagate_FireCuda_530_ZP1000GM30013_7VQ04CBH";
          type = "disk";
          content = {
            type = "gpt";
            partitions = {
	            home = {
                size = "100%";
                content = {
                  type = "filesystem";
                  format = "ext4";
                  mountpoint = "/home";
                };
              };
	          };
	        };
        };

        twoT = {
          device = "/dev/disk/by-id/nvme-Samsung_SSD_990_PRO_2TB_S7DNNJ0WA07648B";
          type = "disk";
          content = {
            type = "gpt";
            partitions = {
              ESP = {
                size = "1G";
                type = "EF00";
                content = {
                  type = "filesystem";
                  format = "vfat";
                  mountpoint = "/boot";
                };
              };
              swap = {
                size = "64G";
                content = {
                  type = "swap";
                  resumeDevice = true;
                };
              };

              root = {
                size = "100%";
                content = {
                  type = "filesystem";
                  format = "ext4";
                  mountpoint = "/";
                };
              };

            };
          };
        };
      };
    };
  };
}
